<?php
	session_start();
	
	$fichier =  $_POST["fichier"]; 
	$base =  $_POST["base"];	
	$chemin =  $_POST["chemin"];	
	
	//echo $fichier ."++" .$base ."++" .$chemin;
	//echo $_SESSION['repertoire'] ."\\" .$chemin;
	
	if( strlen($fichier) ==  "")
	{
		$path = $_SESSION['repertoire']; 
		echo $path;
		chdir($path);
		if(file_exists($repertoire))
		{
			echo 2;			
		}
		else
		{
			$fp=fopen($fichier,"w");
			ftruncate($fp, 0);
			fclose($fp);
			echo 1;
		}
		
	}
	
	else
	{
		$path = $_SESSION['repertoire'] ."\\".$chemin; 
		// supprimer le dernier caractere : \
		$path = substr($path, 0, -1);
		chdir($path);
		
		if(file_exists($fichier))
		{
			echo 2;
		}
		else
		{
			$fp=fopen($fichier,"w");
			ftruncate($fp, 0);
			fclose($fp);
			echo 1;
		}
		
	}

?>